# org.pdfclown.documents.contents.entities.EAN13Barcode Class Reference

Inheritance diagram for org.pdfclown.documents.contents.entities.EAN13Barcode:

List of all members.

## Public Member Functions
| EAN13Barcode (string code)
override ContentObject | ToInlineObject (PrimitiveComposer composer)
| Converts this entity to its equivalent inline (dependent) object representation [PDF:1.6:4.8.6].
override xObjects::XObject | ToXObject (Document context)
| Converts this entity to its equivalent external (independent) object representation [PDF:1.6:4.7].
## Protected Attributes
string | code
## Properties
string | Code`[get]`
| Gets the code to represent.

##

EAN-13 Bar Code object [GS1:7.1:5.1.1.3.1].

The EAN-13 Bar Code Symbol shall be made up as follows, reading from left to right:

1. A left Quiet Zone
2. A normal Guard Bar Pattern (Left Guard)
3. Six symbol characters from number sets A and B (Left Half)
4. A center Guard Bar Pattern (Center Guard)
5. Six symbol characters from number set C (Right Half)
6. A normal Guard Bar Pattern (Right Guard)
7. A right Quiet Zone

The rightmost symbol character shall encode the Check Digit.

## Constructor & Destructor Documentation

org.pdfclown.documents.contents.entities.EAN13Barcode.EAN13Barcode | ( | string | code | ) |

## Member Function Documentation

override ContentObject org.pdfclown.documents.contents.entities.EAN13Barcode.ToInlineObject | ( | PrimitiveComposer | composer | ) | `[virtual]`

Converts this entity to its equivalent inline (dependent) object representation [PDF:1.6:4.8.6].

This method creates and shows an inline object within the target content context, returning it.

Due to its direct-content nature (opposite to the indirect-content nature of external objects), the resulting object should be shown only one time in order not to wastefully duplicate its data.

Parameters:

  | composer | Target content composer.

Returns:
  The inline object representing the entity.

Implements org.pdfclown.documents.contents.entities.Entity.

References org.pdfclown.documents.contents.composition.PrimitiveComposer.BeginLocalState(), org.pdfclown.documents.contents.ContentScanner.Contents, org.pdfclown.objects.PdfObjectWrapper.Document, org.pdfclown.documents.contents.composition.PrimitiveComposer.DrawRectangle(), org.pdfclown.documents.contents.composition.PrimitiveComposer.End(), org.pdfclown.documents.contents.composition.PrimitiveComposer.Fill(), org.pdfclown.documents.contents.fonts.Font.GetAscent(), org.pdfclown.documents.contents.fonts.Font.GetWidth(), org.pdfclown.documents.contents.composition.PrimitiveComposer.Scanner, org.pdfclown.documents.contents.composition.PrimitiveComposer.SetFont(), and org.pdfclown.documents.contents.composition.PrimitiveComposer.ShowText().

override xObjects::XObject org.pdfclown.documents.contents.entities.EAN13Barcode.ToXObject | ( | Document | context | ) | `[virtual]`

Converts this entity to its equivalent external (independent) object representation [PDF:1.6:4.7].

This method creates an external object within the target document, returning it. To show it in a content context (eg: a page), then it must be applied in an appropriate manner (see PrimitiveComposer object).

Parameters:

  | context | Target document.

Returns:
  The external object representing the entity.

Implements org.pdfclown.documents.contents.entities.Entity.

References org.pdfclown.documents.contents.composition.PrimitiveComposer.Flush().

## Member Data Documentation

string org.pdfclown.documents.contents.entities.Barcode.code`[protected, inherited]`

## Property Documentation

string org.pdfclown.documents.contents.entities.Barcode.Code`[get, inherited]`

Gets the code to represent.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.